Bug 2841 - Definition for global_sid_* needs to be updated in modules/vfs_afsacl.c
Definition for global_sid_* needs to be updated in modules/vfs_afsacl.c
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.20
All All
: P3 minor
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-30 11:02 UTC by Brett Trotter
Modified: 2005-08-24 10:15 UTC (History)
0 users

See Also:


Attachments
Patch to resolve build problems complaining about incompatible definitions (840 bytes, patch)
2005-06-30 11:10 UTC, Brett Trotter
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Brett Trotter 2005-06-30 11:02:57 UTC
Really simple patch to allow building with the --with-vfs-afsacl option 
 
*** samba-3.0.20pre1/source/modules/vfs_afsacl.c        2005-02-25 
11:59:33.000000000 -0600 
--- samba-3.0.20pre1.blt/source/modules/vfs_afsacl.c    2005-06-30 
12:41:42.583406429 -0500 
*************** 
*** 31,41 **** 
 
  #define MAXSIZE 2048 
 
! extern DOM_SID global_sid_World; 
! extern DOM_SID global_sid_Builtin_Administrators; 
! extern DOM_SID global_sid_Builtin_Backup_Operators; 
! extern DOM_SID global_sid_Authenticated_Users; 
! extern DOM_SID global_sid_NULL; 
 
  static char space_replacement = '%'; 
 
--- 31,41 ---- 
 
  #define MAXSIZE 2048 
 
! extern const DOM_SID global_sid_World; 
! extern const DOM_SID global_sid_Builtin_Administrators; 
! extern const DOM_SID global_sid_Builtin_Backup_Operators; 
! extern const DOM_SID global_sid_Authenticated_Users; 
! extern const DOM_SID global_sid_NULL; 
 
  static char space_replacement = '%';
Comment 1 Brett Trotter 2005-06-30 11:10:43 UTC
Created attachment 1293 [details]
Patch to resolve build problems complaining about incompatible definitions
Comment 2 Volker Lendecke 2005-06-30 14:25:01 UTC
Applied with Revision 8029 -- thanks.

Volker
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:15:39 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.